<!DOCTYPE html>
<html>  
 <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Exemple</title>
 </head>
 <body>
  <?php
  define("WEB_EOL","<br />");
  // --- on récupère les données ---
  $Nom     = $_POST['Nom']    ;
  $Prenom  = $_POST['Prenom'] ;
  // remplacement des virgules par des point décimaux
  $NomComplet=$Nom." ".$Prenom ;
  $InitialeNom= $Nom[0]        ;
  $longueur=strlen($Nom)       ; 
  echo "Le Nom complet est : ".$NomComplet.WEB_EOL  ;
  echo "La longueur du nom est : ".$longueur.WEB_EOL;
  echo "L’initiale  est    : ".$InitialeNom.WEB_EOL ;
  ?>
 </body>
</html>
